## plasma-desktop 5.2.2

=== debian/changelog ===
plasma-desktop (4:5.2.2-0ubuntu4) vivid; urgency=medium

  * Add upstream_desktop-paths-move.diff fix deleteing files when
    changing desktop paths

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Apr 2015 22:30:21 +0200

plasma-desktop (4:5.2.2-0ubuntu3) vivid; urgency=medium

  * Add upstream_kfontinst-header-alignment.diff from upstream to fix
    headers in kfontinst kcm

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Apr 2015 15:43:04 +0200

plasma-desktop (4:5.2.2-0ubuntu2) vivid; urgency=medium

  * Add upstream_Hide-pager-when-there-s-only-one-virtual-desktop.patch
    to hide the pager applet when there is only one virtual desktop.
    with only one desktop it is pretty useless.

 -- Harald Sitter <sitter@kde.org>  Thu, 26 Mar 2015 14:21:41 +0100

plasma-desktop (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:42:28 -0700

plasma-desktop (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:46:57 -0800

plasma-desktop (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:58:59 +0100

plasma-desktop (4:5.1.95-0ubuntu4) vivid; urgency=medium

  * Add break/replaces on old baloo-kf5 for moved files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 18:16:31 +0100

plasma-desktop (4:5.1.95-0ubuntu3) vivid; urgency=medium

  * remove recommends on kwin-decoration-oxygen, it no longer exists

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 19 Jan 2015 13:17:45 +0100

plasma-desktop (4:5.1.95-0ubuntu2) vivid; urgency=medium

  * update build-dep versions for plasma packages

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Jan 2015 12:42:33 +0100

plasma-desktop (4:5.1.95-0ubuntu1) vivid; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:35:24 +0100

plasma-desktop (4:5.1.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 15 Dec 2014 13:26:18 +0100

plasma-desktop (4:5.1.1-0ubuntu1) vivid; urgency=medium

  [ Jonathan Riddell ]
  * New upstream beta release
  * Add upstream_default-kickoff-applications.diff LP: #1362747
    "No web browser in app menu"

  [ Scarlett Clark ]
  * Fix copyright file (remove spaces) to appease lintian.

  [ Jonathan Riddell ]
  * New upstream release
  * New upstream release with fixed tar

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 10 Nov 2014 19:51:38 +0100

plasma-desktop (4:5.0.2-0ubuntu1) utopic; urgency=medium

  [ Harald Sitter ]
  * switch to new pkg-kde-tools
  * Move kconf_update_bin folder to plasma-desktop package (was in -dev)
    + plasma-desktop now breaks and replaces previous versions of
      plasma-desktop-dev
  * Move dbus-1 service files to plasma-desktop-data (was in -dev)
    + plasma-desktop-data now breaks and replaces previous versions of
      plasma-desktop-dev
    + Make the wildcard robust enough to not accidentially end up installing
      interfaces to -data in the future

  [ Scarlett Clark ]
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 17 Sep 2014 18:20:38 -0700

plasma-desktop (4:5.0.1-0ubuntu1~ubuntu14.10~ppa4) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 11 Aug 2014 15:47:26 +0200

plasma-desktop (4:5.0.0a-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * New upstream tarball
  * Add missing files to install

  [ Harald Sitter ]
  * plasma-desktop depends breeze instead of breeze-cursor-theme as breeze
    provides the core UI styling for all of the shell
    + Drop oxygen-icon-theme as dependency as breeze packaging handles
      the oxygen relationship
    + Drop gdb-minimal | gdb; it is a dep of workspace as that is where drkonqi
      lives
    + Depend on kded5 for the kded, style, keyboard and keys kcm as well as
      the ktouchpadenabler kded module
    + Add all workspace packages as recommends or depends of plasma-desktop 
      as the entire bunch comprises what is considered a plasma-desktop.
      + Depends:
        - breeze - core theme package. needed by various parts of the stack, so
                   removing it is almost never possible or viable
        - kde-cli-tools - core tools like kcmshell5, used to run kcms
        - oxygen-sounds - applications directly reference oxygen sound names and
                          as such not having this package will render no sounds
      + Recommends:
        - kde-style-oxygen-qt5 - not needed if another style is installed
        - khelpcenter
        - khotkeys - advanced hotkey management
        - kinfocenter - information center
        - kio-extras - extra slaves, mostly useful for preview generator
        - kmenuedit
        - kwin - not needed if another wm is installed
        - kwin-decoration-oxygen - not needed if another decoration is installed
        - kwrited
        - plasma-nm
        - powerdevil
        - systemsettings
        - tty-oxygen-font-family
     + Properly resolve qml module dependencies of plasma-desktop:
       + plasma-framework (already present)
       + qtdeclarative5-kf5declarative (kquickcontrolsaddons, kcoreaddons etc.)
       + qml-module-org-kde-solid
       + kactivities (for activities)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 10 Aug 2014 15:44:47 +0200

plasma-desktop (4:4.98.0-0ubuntu1) utopic; urgency=medium

  [ Jonathan Riddell ]
  * New upstream RC release

  [ Scarlett Clark ]
  * fix install file 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jul 2014 13:27:40 +0200

plasma-desktop (4:4.97.0-0ubuntu1) utopic; urgency=medium

  [ Scarlett Clark ]
  * Initial release.
  * add plasma-nm networking depend 


