=== debian/control ===
Source: plasma-desktop
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: baloo-kf5-dev (>= 5.1.95),
               cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               kdoctools-dev,
               kwin-dev (>= 4:5.2.2),
               libboost1.55-dev,
               libcanberra-dev,
               libglib2.0-dev,
               libkf5activities-dev (>= 5.2.0),
               libkf5attica-dev (>= 5.2.0),
               libkf5i18n-dev (>= 5.2.0),
               libkf5kcmutils-dev (>= 5.2.0),
               libkf5kdelibs4support-dev (>= 5.2.0),
               libkf5newstuff-dev (>= 5.2.0),
               libkf5notifyconfig-dev (>= 5.2.0),
               libkf5runner-dev (>= 5.2.0),
               libkf5su-dev (>= 5.2.0),
               libkf5sysguard-dev (>= 5.2.0),
               libkf5wallet-dev (>= 5.2.0),
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpulse-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libusb-dev,
               libxapian-dev,
               libxcb-image0-dev,
               libxcb-xkb-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbfile-dev,
               openbox,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               plasma-framework-dev (>= 5.2.0),
               plasma-workspace-dev (>= 4:5.2.2),
               qtbase5-dev,
               qtdeclarative5-dev,
               xauth,
               xvfb
Standards-Version: 3.9.5
Section: kde
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/plasma-desktop.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-desktop.git

Package: plasma-desktop-dev
Architecture: any
Section: devel
Depends: libkfontinst5 (= ${binary:Version}),
         libkfontinstui5 (= ${binary:Version}),
         plasma-desktop (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop
Architecture: any
Depends: breeze,
         kactivities,
         kde-cli-tools,
         kded5,
         oxygen-sounds,
         plasma-desktop-data (= ${source:Version}),
         plasma-framework,
         plasma-nm,
         plasma-workspace,
         polkit-kde-agent-1,
         qml-module-org-kde-solid,
         qtdeclarative5-kf5declarative,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bluedevil,
            kde-config-gtk-style,
            kde-config-sddm,
            kde-config-touchpad,
            kde-style-oxygen-qt5,
            khelpcenter,
            khotkeys,
            kinfocenter,
            kio-extras,
            kmenuedit,
            kscreen,
            ksshaskpass,
            ksysguard,
            kwin,
            kwrited,
            muon-discover,
            muon-notifier,
            muon-updater,
            powerdevil,
            sni-qt,
            systemsettings,
            ttf-oxygen-font-family,
            user-manager
Breaks: baloo-kf5 (<< 5.5),
        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
Replaces: baloo-kf5 (<< 5.5),
          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
Conflicts: kde-workspace-bin
Description: Tools and widgets for the desktop
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinst5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: libkfontinstui5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Tools and widgets for the desktop library
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.

Package: plasma-desktop-data
Architecture: all
Depends: ${misc:Depends}
Conflicts: kde-workspace-bin, kde-workspace-data
Breaks: baloo-kf5 (<< 5.5),
        plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
Replaces: baloo-kf5 (<< 5.5),
          plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
Description: Tools and widgets for the desktop data files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the data files

Package: plasma-desktop-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: plasma-desktop (= ${binary:Version}), ${misc:Depends}
Description: Tools and widgets for the desktop debug files
 Plasma Desktop offers a beautiful looking desktop
 that takes complete advantage of modern computing technology.
 Through the use of visual effects and scalable graphics,
 the desktop experience is not only smooth but also pleasant
 to the eye. The looks of Plasma Desktop not only provide beauty,
 they are also used to support and improve your computer
 activities effectively, without being distracting.
 .
 This package is part of the KDE Plasma.
 .
 This package contains the debugging symbols.
