## plasma-desktop 5.4.2

=== debian/changelog ===
plasma-desktop (4:5.4.2-0ubuntu2) wily; urgency=medium

  * Add 0001-add-discover-to-favorties.patch from upstream to add Muon
    favourites

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 05 Oct 2015 15:15:17 +0100

plasma-desktop (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:59:47 +0100

plasma-desktop (4:5.4.1-0ubuntu2) wily; urgency=medium

  * Add build-dep on libpackagekitqt5-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 11 Sep 2015 17:02:26 +0100

plasma-desktop (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:23:03 +0100

plasma-desktop (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:54:56 +0100

plasma-desktop (4:5.3.95-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * Vivid backport. 
  * Manual merge. 

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:19:44 +0200

plasma-desktop (4:5.3.2-0ubuntu3) wily; urgency=medium

  * add those breaks/replaces to plasma-desktop-data as well

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 26 Jul 2015 21:26:47 +0200

plasma-desktop (4:5.3.2-0ubuntu2) wily; urgency=medium

  * add versions to breaks/replaces for touchpad which have
    transitionals

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Jul 2015 23:44:09 +0200

plasma-desktop (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:36:43 +0000

plasma-desktop (4:5.3.1-0ubuntu3) wily; urgency=medium

  * Remove dep on plasma-nm at upstream's request

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 25 Jun 2015 12:48:15 +0200

plasma-desktop (4:5.3.1-0ubuntu2) wily; urgency=medium

  * Recommend renamed oxygen fonts package fonts-oxygen

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 22 Jun 2015 14:59:23 +0200

plasma-desktop (4:5.3.1-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Jun 2015 21:08:18 +0200

plasma-desktop (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:54:10 +0200

plasma-desktop (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:17:22 +0100

plasma-desktop (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 12 Feb 2015 22:57:30 +0100
