=== debian/control ===
--- 
+++ 
@@ -1,61 +1,87 @@
 Source: plasma-desktop
-Priority: extra
+Section: kde
+Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: baloo-kf5-dev (>= 5.1.95),
-               cmake,
-               debhelper (>= 9.0.0),
-               extra-cmake-modules (>= 1.3.0~),
-               kdoctools-dev,
-               kwin-dev (>= 4:5.2.2),
-               libboost1.55-dev,
+               cmake (>= 2.8.12),
+               debhelper (>= 9),
+               extra-cmake-modules (>= 1.8.0~),
+               kded5-dev (>= 5.9.0~),
+               kdoctools-dev (>= 5.9.0~),
+               kinit-dev,
+               kio-dev,
+               kwin-dev (>= 4:5.4.2~),
+               libboost-dev,
                libcanberra-dev,
+               libfontconfig1-dev,
+               libfreetype6-dev,
                libglib2.0-dev,
                libkf5activities-dev (>= 5.2.0),
-               libkf5attica-dev (>= 5.2.0),
-               libkf5i18n-dev (>= 5.2.0),
-               libkf5kcmutils-dev (>= 5.2.0),
-               libkf5kdelibs4support-dev (>= 5.2.0),
-               libkf5newstuff-dev (>= 5.2.0),
-               libkf5notifyconfig-dev (>= 5.2.0),
-               libkf5runner-dev (>= 5.2.0),
-               libkf5su-dev (>= 5.2.0),
-               libkf5sysguard-dev (>= 5.2.0),
-               libkf5wallet-dev (>= 5.2.0),
-               libphonon4qt5-dev,
+               libkf5attica-dev (>= 5.9.0~),
+               libkf5auth-dev (>= 5.9.0~),
+               libkf5config-dev,
+               libkf5coreaddons-dev,
+               libkf5dbusaddons-dev (>= 5.9.0~),
+               libkf5declarative-dev (>= 5.9.0~),
+               libkf5emoticons-dev,
+               libkf5globalaccel-dev (>= 5.9.0~),
+               libkf5guiaddons-dev,
+               libkf5i18n-dev (>= 5.9.0~),
+               libkf5itemmodels-dev,
+               libkf5kcmutils-dev (>= 5.9.0~),
+               libkf5kdelibs4support-dev (>= 5.9.0~),
+               libkf5newstuff-dev (>= 5.9.0~),
+               libkf5notifications-dev (>= 5.9.0~),
+               libkf5notifyconfig-dev (>= 5.9.0~),
+               libkf5people-dev (>= 5.9.0~),
+               libkf5runner-dev (>= 5.9.0~),
+               libkf5sysguard-dev,
+               libkf5wallet-dev (>= 5.9.0~),
+               libpackagekitqt5-dev,
+               libphonon4qt5-dev (>= 4.6.60),
                libphonon4qt5experimental-dev,
-               libpulse-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               libpulse-dev (>= 0.9.16),
+               libqt5svg5-dev (>= 5.4.0~),
+               libqt5x11extras5-dev (>= 5.4.0~),
                libusb-dev,
+               libx11-dev,
                libxapian-dev,
                libxcb-image0-dev,
+               libxcb-record0-dev,
+               libxcb-shm0-dev,
                libxcb-xkb-dev,
+               libxcb1-dev,
                libxcursor-dev,
                libxft-dev,
                libxi-dev,
                libxkbfile-dev,
                openbox,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               plasma-framework-dev (>= 5.2.0),
-               plasma-workspace-dev (>= 4:5.2.2),
-               qtbase5-dev,
-               qtdeclarative5-dev,
+               plasma-framework-dev (>= 5.9.0~),
+               plasma-workspace-dev (>= 4:5.4.2~),
+               qtbase5-dev (>= 5.4.0~),
+               qtdeclarative5-dev (>= 5.4.0~),
                xauth,
+               xserver-xorg-dev,
+               xserver-xorg-input-evdev-dev,
+               xserver-xorg-input-synaptics-dev,
                xvfb
-Standards-Version: 3.9.5
-Section: kde
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/plasma-desktop
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/plasma/plasma-desktop.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/plasma-desktop.git
 Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/plasma-desktop.git
 
 Package: plasma-desktop-dev
-Architecture: any
 Section: devel
+Architecture: any
 Depends: libkfontinst5 (= ${binary:Version}),
          libkfontinstui5 (= ${binary:Version}),
          plasma-desktop (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: kde-config-touchpad (<< ${source:Version}), kde-touchpad (<< 5.1.95~)
+Replaces: kde-config-touchpad (<< ${source:Version}), kde-touchpad (<< 5.1.95~)
 Description: Tools and widgets for the desktop
  Plasma Desktop offers a beautiful looking desktop
  that takes complete advantage of modern computing technology.
@@ -69,25 +95,27 @@
 
 Package: plasma-desktop
 Architecture: any
-Depends: breeze,
+Depends: baloo-kf5,
+         breeze,
          kactivities,
          kde-cli-tools,
          kded5,
          oxygen-sounds,
          plasma-desktop-data (= ${source:Version}),
          plasma-framework,
-         plasma-nm,
          plasma-workspace,
          polkit-kde-agent-1,
+         qml-module-org-kde-kwindowsystem,
          qml-module-org-kde-solid,
          qtdeclarative5-kf5declarative,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bluedevil,
+            fonts-oxygen,
             kde-config-gtk-style,
             kde-config-sddm,
-            kde-config-touchpad,
             kde-style-oxygen-qt5,
+            kgamma5,
             khelpcenter,
             khotkeys,
             kinfocenter,
@@ -101,14 +129,22 @@
             muon-discover,
             muon-notifier,
             muon-updater,
+            pam-kwallet4,
+            pam-kwallet5,
+            plasma-pa,
             powerdevil,
             sni-qt,
             systemsettings,
-            ttf-oxygen-font-family,
             user-manager
 Breaks: baloo-kf5 (<< 5.5),
+        kde-config-touchpad (<< ${source:Version}),
+        kde-touchpad (<< ${source:Version}),
+        plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
         plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
 Replaces: baloo-kf5 (<< 5.5),
+          kde-config-touchpad (<< ${source:Version}),
+          kde-touchpad (<< ${source:Version}),
+          plasma-desktop-data (<< 4:5.3.2-0ubuntu1~),
           plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
 Conflicts: kde-workspace-bin
 Description: Tools and widgets for the desktop
@@ -150,13 +186,36 @@
  .
  This package is part of the KDE Plasma.
 
+Package: libkf5activitiesexperimentalstats1
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Tools and widgets for the desktop library
+ Plasma Desktop offers a beautiful looking desktop
+ that takes complete advantage of modern computing technology.
+ Through the use of visual effects and scalable graphics,
+ the desktop experience is not only smooth but also pleasant
+ to the eye. The looks of Plasma Desktop not only provide beauty,
+ they are also used to support and improve your computer
+ activities effectively, without being distracting.
+ .
+ This package is part of the KDE Plasma.
+
 Package: plasma-desktop-data
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: plasma-framework,
+            plasma-workspace,
+            qml-module-org-kde-extensionplugin,
+            qml-module-org-kde-kwindowsystem,
+            qml-module-qtquick-dialogs
 Conflicts: kde-workspace-bin, kde-workspace-data
 Breaks: baloo-kf5 (<< 5.5),
+        kde-config-touchpad (<< ${source:Version}),
+        kde-touchpad (<< ${source:Version}),
         plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
 Replaces: baloo-kf5 (<< 5.5),
+          kde-config-touchpad (<< ${source:Version}),
+          kde-touchpad (<< ${source:Version}),
           plasma-desktop-dev (<< 4:5.0.2-0ubuntu1~ubuntu14.10~ppa8)
 Description: Tools and widgets for the desktop data files
  Plasma Desktop offers a beautiful looking desktop
@@ -171,8 +230,25 @@
  .
  This package contains the data files
 
+Package: kde-touchpad
+Architecture: any
+Depends: plasma-desktop, ${misc:Depends}
+Section: oldlibs
+Priority: extra
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
+Package: kde-config-touchpad
+Depends: plasma-desktop, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
 Package: plasma-desktop-dbg
 Section: debug
+Priority: extra
 Architecture: any
 Recommends: qtbase5-dbg
 Depends: plasma-desktop (= ${binary:Version}), ${misc:Depends}
